import greenfoot.*;
public class Knopf extends Actor
{
    private int modus;
    GreenfootImage img;
    
    public Knopf(int m)
    {
        modus = m;
        String text="";
        switch (modus)
        {
            case 0: img = new GreenfootImage(108,21); text = "Show Highscore"; break; //verloren → Highscore
            case 1: img = new GreenfootImage(94,21); text = "Back to Menu"; break; //Highscore → Menu
            //case 2: img = new GreenfootImage(58,21); text = "Refresh"; break; //Highscore neu laden
            case 2: img = new GreenfootImage(95,21); text = "Sort by Points"; break;
            case 3: img = new GreenfootImage(91,21); text = "Sort by Level"; break;
        }
        int x=img.getWidth(), y=img.getHeight();
        img.scale(img.getWidth()*Welt.sizeFactor, img.getHeight()*Welt.sizeFactor);
        img.clear();
        img.setColor(Color.BLACK);
        img.fill();
        img.setColor(new Color(255,127,0));
        Welt.drawLine(img, 6,2,x-7,2); //oben
        Welt.drawLine(img, 6,y-3,x-7,y-3); //unten
        Welt.drawLine(img, 2,6,2,y-7); //links
        Welt.drawLine(img, x-3,6,x-3,y-7); //rechts
        //oben links
        Welt.drawLine(img, 4,3,6,3);
        Welt.drawLine(img, 3,4,3,6);
        Welt.setColorAt(img, 4,4,img.getColor());
        //unten links
        Welt.drawLine(img, 4,y-4,6,y-4);
        Welt.drawLine(img, 3,y-7,3,y-5);
        Welt.setColorAt(img, 4,y-5,img.getColor());
        //oben rechts
        Welt.drawLine(img, x-7,3,x-5,3);
        Welt.drawLine(img, x-4,4,x-4,6);
        Welt.setColorAt(img, 4,4,img.getColor());
        //unten rechts
        Welt.drawLine(img, x-7,y-4,x-5,y-4);
        Welt.drawLine(img, x-4,y-7,x-4,y-5);
        Welt.setColorAt(img, x-5,y-5,img.getColor());
        
        
        img.setFont(new Font("Calibri", true, false, 15*Welt.sizeFactor));
        
        img.drawString(text, 5*Welt.sizeFactor, 14*Welt.sizeFactor);
        setImage(img);
    }
    
    public void act()
    {
        if (Greenfoot.mousePressed(this))
        {
            switch (modus)
            {
                case 0: Greenfoot.setWorld(new ScoreBoard()); break;
                case 1: Greenfoot.setWorld(new Welt()); break;
                //case 2: ((ScoreBoard) getWorld()).refresh(); break;
                case 2: case 3: ((ScoreBoard) getWorld()).sortierungÄndern(); break;
            }
        }
    }
}