import greenfoot.*;
public class Bild
{
    private static final int[][][] zahl =
    {
        {{1, 1, 1},{1, 0, 1},{1, 0, 1},{1, 0, 1},{1, 1, 1}},
        {{0, 0, 1},{0, 0, 1},{0, 0, 1},{0, 0, 1},{0, 0, 1}},
        {{1, 1, 1},{0, 0, 1},{1, 1, 1},{1, 0, 0},{1, 1, 1}},
        {{1, 1, 1},{0, 0, 1},{1, 1, 1},{0, 0, 1},{1, 1, 1}},
        {{1, 0, 1},{1, 0, 1},{1, 1, 1},{0, 0, 1},{0, 0, 1}},
        {{1, 1, 1},{1, 0, 0},{1, 1, 1},{0, 0, 1},{1, 1, 1}},
        {{1, 1, 1},{1, 0, 0},{1, 1, 1},{1, 0, 1},{1, 1, 1}},
        {{1, 1, 1},{0, 0, 1},{0, 0, 1},{0, 0, 1},{0, 0, 1}},
        {{1, 1, 1},{1, 0, 1},{1, 1, 1},{1, 0, 1},{1, 1, 1}},
        {{1, 1, 1},{1, 0, 1},{1, 1, 1},{0, 0, 1},{1, 1, 1}}
    };
    
    public static GreenfootImage createImage(int n, Color c, boolean fixed) //falls fixed false, dann zentriert
    {
        //aus 1234 mach {1,2,3,4} – Danke an danpost
        String numString = ""+n;
        int[] s = new int[numString.length()];
        for (int i=0; i<s.length; i++) s[i] = numString.charAt(i)-'0';
        
        
        
        GreenfootImage img = new GreenfootImage((4*(fixed?10:s.length)-1)*Welt.sizeFactor, 5*Welt.sizeFactor);
        img.setColor(c);
        for (int k=0; k<s.length; k++) for (int x=0; x<3; x++) for (int y=0; y<5; y++)
        {
            if (zahl[s[k]][y][x]==1) Welt.fillRect(img, img.getWidth()/Welt.sizeFactor-4*(s.length-k)+x+1, y, 1, 1);
        }

        return img;
    }
}